#include "view.h"

namespace mini
{
    namespace view
    {
        state_t state;

        void init(){
            state.origin[0] = state.origin[1] = 0;
        }

        namespace origin {
            void set(int x, int y) {
                state.origin[0] = x;
                state.origin[1] = y;
            }

            int getx() {
                return state.origin[0];
            }

            int gety() {
                return state.origin[1];
            }
        }
    }
}